    describe('Register Form', () => {
      beforeEach(() => {
          cy.visit('/signup')
        })
        it('form visible', () => {
          cy.get('body')
            .first()
          .find('.form-container')
          .find('.form-content-input')
          .find('form')
          .should('be.visible')
        })
        it('button visible', () => {
          cy.get('body')
            .first()
          .find('.form-container')
          .find('.form-content-input')
          .find('form')
          .find('.form-input-btn')
          .should('be.visible')
        })
        it('login link visible and works', () => {
          cy.get('body')
            .first()
          .find('.form-container')
          .find('.form-content-input')
          .find('form')
          .find('.form-input-login')
          .should('be.visible')
          .find('a')
          .click()
          .url().should('eq', 'http://localhost:3000/login')
        })
      })

      describe('Form Inputs - Typable', () => {
        beforeEach(() => {
            cy.visit('/signup')
          })
          it('name', () => {
            cy.get('body')
              .first()
            .find('.form-container')
            .find('.form-content-input')
            .find('form')
            .find('.form-inputs')
            .first()
            .should('be.visible')
            .type('hello')
          })
          it('email', () => {
            cy.get('body')
              .first()
              .find('.form-container')
              .find('.form-content-input')
              .find('form')
              .find('.form-inputs')
              .first()
              .next()
              .should('be.visible')
              .type('hello')
          })
          it('username', () => {
            cy.get('body')
            .first()
            .find('.form-container')
            .find('.form-content-input')
            .find('form')
            .find('.form-inputs')
            .first()
            .next()
            .next()
            .should('be.visible')
            .type('hello')
          })
          it('password', () => {
            cy.get('body')
            .first()
            .find('.form-container')
            .find('.form-content-input')
            .find('form')
            .find('.form-inputs')
            .first()
            .next()
            .next()
            .next()
            .should('be.visible')
            .type('hello')
          })
          it('confirm password', () => {
            cy.get('body')
            .first()
            .find('.form-container')
            .find('.form-content-input')
            .find('form')
            .find('.form-inputs')
            .first()
            .next()
            .next()
            .next()
            .should('be.visible')
            .type('hello')
          })
        })